Bug 1411065 - haproxy upstream fixes
Summary: haproxy upstream fixes
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: haproxy
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Ryan O'Hara
QA Contact: Brandon Perkins
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-08 00:50 UTC by Dimitris
Modified: 2017-02-03 14:19 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-03 14:19:18 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Dimitris 2017-01-08 00:50:51 UTC
I would like to request an update of haproxy to the updated version 1.5.19 (currently RHEL7 has 1.5.18)

The new 1.5.19 comes with some important fixes that make it worth updating.

Thank you.

Comment 2 Ryan O'Hara 2017-01-08 16:32:47 UTC
(In reply to Dimitris from comment #0)
> I would like to request an update of haproxy to the updated version 1.5.19
> (currently RHEL7 has 1.5.18)
> 
> The new 1.5.19 comes with some important fixes that make it worth updating.

Please enumerate the important fixes that justify the rebase.

Comment 3 Dimitris 2017-01-11 11:00:42 UTC
There are 3-4 important fixes, but two of them affect me personally, these are:

1) redispatch leaves frozen connections and eventually causes them to pile up over time.

2) there is a crash bug when using "compression algo" in zlib. I'm using:
compression algo          gzip deflate

Both the above cause tons of problems for our haproxy and have just been fixed in 1.5.19.

The other important fixes, as I mentioned above, don't affect me but are equally important.

Thank you.

Comment 4 Ryan O'Hara 2017-02-03 14:19:18 UTC
Please contact Red Hat Support to discuss any issues that you are experiencing with haproxy.


Note You need to log in before you can comment on or make changes to this bug.